> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Update an organization membership PUT https://api.contentful.com/organizations/{organization_id}/organization_memberships/{organization_membership_id} Content-Type: application/json Updates the organizational role for a membership. Only organization admins and owners can update memberships. Reference: https://contentful.com/developers/docs/references/user-management-api/organization-memberships/update-an-organization-membership ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `organization_id` (string, required) — The organization ID - `organization_membership_id` (string, required) — The organization membership ID ### Body (application/json) This endpoint expects a map from string to any. - `map from string to any` ## Response ### 200 OK - Updated organization membership - `map from string to any` ## Examples **Request** ```json { "role": "admin" } ``` **Response** ```json { "role": "admin", "sys": { "createdAt": "2025-06-03T01:00:03.000Z", "id": "0xWanD4AZI2AR35wW9q51n", "lastActiveAt": null, "sso": null, "status": "active", "type": "OrganizationMembership", "updatedAt": "2025-06-03T01:00:03.000Z", "user": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "version": 0 } } ```